gnutls_pkcs11_copy_attached_extension(3)

NAME
gnutls_pkcs11_copy_attached_extension - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_copy_attached_extension(const char * token_url, gnutls_x509_crt_t crt, gnutls_datum_t * data, const char * label, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

gnutls_x509_crt_t crt
    An X.509 certificate object

gnutls_datum_t * data
    the attached extension

const char * label
    A name to be used for the attached extension (may be NULL)

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_FLAG_*

DESCRIPTION
This function will copy an the attached extension in data for the certificate provided in crt in the PKCS 11 token specified by the URL (typically a trust module). The extension must be in RFC5280 Extension format.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/